BANK FAMA - Feature #103
[FAMA] - ESS Time Managament untuk cuti setengah hari dan cuti melahirkan

12/29/2020 11:15 AM - ericsson ericsson

Status: Closed Start date: 12/29/2020
Priority: Normal Due date: 01/07/2021
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Tolong dibuatkan fungsi pada ESS Leave, Cuti Setengah hari. dengan ketentuan:
1. dimana ketika jam attendance (kehadiran) jika kurang dari 4 jam maka kuota cuti akan berkurang 1 hari,

2. jika lebih dari 4 jam namun kurang dari 8 jam maka akan mengurangi kuota cuti sebanyak setengah hari.

Kemudian dibuatkan validasi untuk cuti melahirkan agar dibuatkan fungsi mandatory pada field attachment.

dengan absence type 2000 (GENPARAM : VALIDASICUTIMELAHIRKANTOATTACHMENT)

History

#1 - 12/29/2020 11:20 AM - ericsson ericsson
Dear Developer,
Tolong dibuatkan fungsi pada ESS Leave, Cuti Setengah hari. dengan ketentuan:

1. dimana ketika jam attendance (kehadiran) jika kurang dari 4 jam maka kuota cuti akan berkurang 1 hari,
2. jika lebih dari 4 jam namun kurang dari 8 jam maka akan mengurangi kuota cuti sebanyak setengah hari.

Kemudian dibuatkan validasi untuk cuti melahirkan agar dibuatkan fungsi mandatory pada field attachment.
dengan absence type 2000 (GENPARAM : VALIDASICUTIMELAHIRKANTOATTACHMENT)

Kemudian untuk pengajuan cuti tahunan minimal 14 hari sebelumnya (GENPARAM : MINIMALHARIPENGAJUANCUTITAHUNAN)

TERIMA KASIH.

#2 - 01/04/2021 02:43 PM - Saswanto Tampan
- Due date set to 01/07/2021
- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to Alip Sudin

#3 - 01/04/2021 05:37 PM - Alip Sudin
- Status changed from Assigned to QA Test

- Assignee changed from Alip Sudin to Anonymous

Kemudian dibuatkan validasi untuk cuti melahirkan agar dibuatkan fungsi mandatory pada field attachment.
dengan absence type 2000 (GENPARAM : VALIDASICUTIMELAHIRKANTOATTACHMENT)

Kemudian untuk pengajuan cuti tahunan minimal 14 hari sebelumnya (GENPARAM : MINIMALHARIPENGAJUANCUTITAHUNAN)

DONEEEEEEEEEEEEEEEEEEEEEEEEEEEEE TINGGAL TEST

Tolong dibuatkan fungsi pada ESS Leave, Cuti Setengah hari. dengan ketentuan:

1. dimana ketika jam attendance (kehadiran) jika kurang dari 4 jam maka kuota cuti akan berkurang 1 hari,

2. jika lebih dari 4 jam namun kurang dari 8 jam maka akan mengurangi kuota cuti sebanyak setengah hari.
Tolong di buatkan data cuti dan absen terlebih dahulu dan ini tidak termasuk ESS akan di buatkan jobsql perhari
#4 - 01/08/2021 11:13 AM - ericsson ericsson

task :

1. Validasi cuti melahirkan mandatory file attachment (Done)

1. Validasi pengajuan Cuti H-14 (Done)
1. Untuk Task Attendance (Cuti 1 hari & Cuti setengah hari) TM to TM pindah ke Redmine #114 digabung dengan TM to Payroll.

Terima Kasih.

#5 - 01/08/2021 02:38 PM - Anonymous
- Status changed from QA Test to Closed
- % Done changed from 0 to 100

07/03/2025 22


http://remote.minovais.com:3000/redmine/issues/114
